diff -cNr ivtools-0.6.orig/src/UniIdraw/ided.c ivtools-0.6/src/UniIdraw/ided.c
*** ivtools-0.6.orig/src/UniIdraw/ided.c	Wed Jan 21 10:12:00 1998
--- ivtools-0.6/src/UniIdraw/ided.c	Thu Jan 29 01:12:01 1998
***************
*** 119,124 ****
--- 119,131 ----
  static const char* grid_x_incr = "gridxincr";
  static const char* grid_y_incr = "gridyincr";
  
+ #ifdef JIV_EXTEND
+ static const char* tmpLabel;
+ 
+ #define getLabel(attr, default) \
+     (((tmpLabel = unidraw->GetCatalog()->GetAttribute(attr)) != NULL) ? \
+      tmpLabel : default)
+ #endif
  /*****************************************************************************/
  
  inline void InsertSeparator (PulldownMenu* pdm) {
***************
*** 347,354 ****
--- 354,366 ----
      commands->Include(FontMenu());
      commands->Include(BrushMenu());
      commands->Include(PatternMenu());
+ #ifndef JIV_EXTEND
      commands->Include(ColorMenu("FgColor", fgAttrib));
      commands->Include(ColorMenu("BgColor", bgAttrib));
+ #else
+     commands->Include(ColorMenu(getLabel("LFgColor", "FgColor"), fgAttrib));
+     commands->Include(ColorMenu(getLabel("LBgColor", "BgColor"), bgAttrib));
+ #endif
      commands->Include(AlignMenu());
      commands->Include(ViewMenu());
  
***************
*** 369,399 ****
      VBox* tools = new VBox;
  
      Include(
!         new SelectTool(new ControlInfo("Select", KLBL_SELECT, CODE_SELECT)),
          tools
      );
      Include(
!         new MoveTool(new ControlInfo("Move", KLBL_MOVE, CODE_MOVE)),
          tools
      );
      Include(
!         new ScaleTool(new ControlInfo("Scale", KLBL_SCALE, CODE_SCALE)),
          tools
      );
      Include(
!         new StretchTool(new ControlInfo("Stretch", KLBL_STRETCH,CODE_STRETCH)),
          tools
      );
      Include(
!         new RotateTool(new ControlInfo("Rotate", KLBL_ROTATE, CODE_ROTATE)),
          tools
      );
      Include(
!         new ReshapeTool(new ControlInfo("Alter", KLBL_RESHAPE, CODE_RESHAPE)),
          tools
      );
      Include(
!         new MagnifyTool(new ControlInfo("Magnify", KLBL_MAGNIFY,CODE_MAGNIFY)),
          tools
      );
  
--- 381,453 ----
      VBox* tools = new VBox;
  
      Include(
!         new SelectTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 				       "Select",
! #else
! 				       getLabel("LSelect", "Select"),
! #endif
! 				       KLBL_SELECT, CODE_SELECT)),
          tools
      );
      Include(
!         new MoveTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 				     "Move",
! #else
! 				     getLabel("LMove", "Move"),
! #endif
! 				     KLBL_MOVE, CODE_MOVE)),
          tools
      );
      Include(
!         new ScaleTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 				      "Scale",
! #else
! 				      getLabel("LScale", "Scale"),
! #endif
! 				      KLBL_SCALE, CODE_SCALE)),
          tools
      );
      Include(
!         new StretchTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 					"Stretch",
! #else
! 					getLabel("LStretch", "Stretch"),
! #endif
! 					KLBL_STRETCH,CODE_STRETCH)),
          tools
      );
      Include(
!         new RotateTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 				       "Rotate",
! #else
! 				       getLabel("LRotate", "Rotate"),
! #endif
! 				       KLBL_ROTATE, CODE_ROTATE)),
          tools
      );
      Include(
!         new ReshapeTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 					"Alter",
! #else
! 					getLabel("LAlter", "Alter"),
! #endif
! 					KLBL_RESHAPE, CODE_RESHAPE)),
          tools
      );
      Include(
!         new MagnifyTool(new ControlInfo(
! #ifndef JIV_EXTEND
! 					"Magnify",
! #else
! 					getLabel("LMagnify", "Magnify"),
! #endif
! 					KLBL_MAGNIFY,CODE_MAGNIFY)),
          tools
      );
  
***************
*** 401,407 ****
      TextComp* textComp = new TextComp(text);
      Include(
          new GraphicCompTool(
!             new ControlInfo("Text", KLBL_TEXT, CODE_TEXT), textComp
          ), tools
      );
  
--- 455,467 ----
      TextComp* textComp = new TextComp(text);
      Include(
          new GraphicCompTool(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Text",
! #else
! 			    getLabel("LText", "Text"),
! #endif
! 			    KLBL_TEXT, CODE_TEXT), textComp
          ), tools
      );
  
***************
*** 520,567 ****
  }
  
  PulldownMenu* IdrawEditor::FileMenu () {
!     PulldownMenu* pdm = MakePulldown("File");
  
      Include(
          new NewCompCmd(
!             new ControlInfo("New", KLBL_NEWCOMP, CODE_NEWCOMP), new IdrawComp
          ),
          pdm
      );
      Include(
!         new RevertCmd(new ControlInfo("Revert", KLBL_REVERT, CODE_REVERT)),
          pdm
      );
      InsertSeparator(pdm);
      Include(
          new OpenCmd(
!             new ControlInfo("Open...", KLBL_VIEWCOMP, CODE_VIEWCOMP)
          ),
          pdm
      );
      Include(
!         new SaveCompCmd(new ControlInfo("Save", KLBL_SAVECOMP, CODE_SAVECOMP)),
          pdm
      );
      Include(
!         new SaveCompAsCmd(
!             new ControlInfo("Save As...", KLBL_SAVECOMPAS, CODE_SAVECOMPAS)
          ), pdm
      );
      Include(
          new PrintCmd(
!             new ControlInfo("Print...", KLBL_PRINT, CODE_PRINT)
          ), pdm
      );
      Include(
          new ImportCmd(
!             new ControlInfo("Import Graphic...", KLBL_IMPORT, CODE_IMPORT)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new QuitCmd(
!             new ControlInfo("Quit", KLBL_QUIT, CODE_QUIT)
          ), pdm
      );
  
--- 580,680 ----
  }
  
  PulldownMenu* IdrawEditor::FileMenu () {
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "File"
! #else
! 				     getLabel("LFile", "File")
! #endif
! 				     );
  
      Include(
          new NewCompCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "New", 
! #else
! 			    getLabel("LNew", "New"),
! #endif
!             		    KLBL_NEWCOMP, CODE_NEWCOMP), new IdrawComp
          ),
          pdm
      );
      Include(
!         new RevertCmd(new ControlInfo(
! #ifndef JIV_EXTEND
!         			      "Revert",
! #else
! 				      getLabel("LRevert", "Revert"),
! #endif
!         			      KLBL_REVERT, CODE_REVERT)),
          pdm
      );
      InsertSeparator(pdm);
      Include(
          new OpenCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "Open...",
! #else
! 			    getLabel("LOpen", "Open..."),
! #endif
!             		    KLBL_VIEWCOMP, CODE_VIEWCOMP)
          ),
          pdm
      );
      Include(
!         new SaveCompCmd(new ControlInfo(
! #ifndef JIV_EXTEND
!         				"Save",
! #else
! 					getLabel("LSave", "Save"),
! #endif
!        				KLBL_SAVECOMP, CODE_SAVECOMP)),
          pdm
      );
      Include(
!         new SaveCompAsCmd( new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "Save As...",
! #else
! 			    getLabel("LSaveAs", "Save As..."),
! #endif
!             		    KLBL_SAVECOMPAS, CODE_SAVECOMPAS)
          ), pdm
      );
      Include(
          new PrintCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "Print...",
! #else
! 			    getLabel("LPrint", "Print..."),
! #endif
!             		    KLBL_PRINT, CODE_PRINT)
          ), pdm
      );
      Include(
          new ImportCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "Import Graphic...",
! #else
! 			    getLabel("LImport", "Import Graphic..."),
! #endif
!             		    KLBL_IMPORT, CODE_IMPORT)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new QuitCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
!             		    "Quit",
! #else
! 			    getLabel("LQuit", "Quit"),
! #endif
!             		    KLBL_QUIT, CODE_QUIT)
          ), pdm
      );
  
***************
*** 569,654 ****
  }
  
  PulldownMenu* IdrawEditor::EditMenu () {
!     PulldownMenu* pdm = MakePulldown("Edit");
  
      Include(
          new UndoCmd(
!             new ControlInfo("Undo", KLBL_UNDO, CODE_UNDO)
          ), pdm
      );
      Include(
          new RedoCmd(
!             new ControlInfo("Redo", KLBL_REDO, CODE_REDO)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new CutCmd(
!             new ControlInfo("Cut", KLBL_CUT, CODE_CUT)
          ), pdm
      );
      Include(
          new CopyCmd(
!             new ControlInfo("Copy", KLBL_COPY, CODE_COPY)
          ), pdm
      );
      Include(
          new PasteCmd(
!             new ControlInfo("Paste", KLBL_PASTE,CODE_PASTE)
          ), pdm
      );
      Include(
          new DupCmd(
!             new ControlInfo("Duplicate", KLBL_DUP, CODE_DUP)
          ), pdm
      );
      Include(
          new DeleteCmd(
!             new ControlInfo("Delete", KLBL_DEL, CODE_DEL)
          ), pdm
      );
      Include(
          new SlctAllCmd(
!             new ControlInfo("Select All", KLBL_SLCTALL, CODE_SLCTALL)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new ScaleCmd(
!             new ControlInfo("Flip Horizontal", KLBL_HFLIP, CODE_HFLIP),
              -1.0, 1.0
          ), pdm
      );
      Include(
          new ScaleCmd(
!             new ControlInfo("Flip Vertical", KLBL_VFLIP, CODE_VFLIP),
              1.0, -1.0
          ), pdm
      );
      Include(
          new RotateCmd(
!             new ControlInfo("90 Clockwise", KLBL_CW90, CODE_CW90), -90.0
          ), pdm
      );
      Include(
          new RotateCmd(
!             new ControlInfo("90 CounterCW", KLBL_CCW90, CODE_CCW90), 90.0
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new PreciseMoveCmd(
!             new ControlInfo("Precise Move", KLBL_PMOVE, CODE_PMOVE)
          ), pdm
      );
      Include(
          new PreciseScaleCmd(
!             new ControlInfo("Precise Scale", KLBL_PSCALE, CODE_PSCALE)
          ), pdm
      );
      Include(
          new PreciseRotateCmd(
!             new ControlInfo("Precise Rotate", KLBL_PROTATE, CODE_PROTATE)
          ), pdm
      );
  
--- 682,863 ----
  }
  
  PulldownMenu* IdrawEditor::EditMenu () {
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Edit"
! #else
! 				     getLabel("LEdit", "Edit")
! #endif
! 				     );
  
      Include(
          new UndoCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Undo",
! #else
! 			    getLabel("LUndo", "Undo"),
! #endif
! 			    KLBL_UNDO, CODE_UNDO)
          ), pdm
      );
      Include(
          new RedoCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Redo",
! #else
! 			    getLabel("LRedo", "Redo"),
! #endif
! 			    KLBL_REDO, CODE_REDO)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new CutCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Cut",
! #else
! 			    getLabel("LCut", "Cut"),
! #endif
! 			    KLBL_CUT, CODE_CUT)
          ), pdm
      );
      Include(
          new CopyCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Copy",
! #else
! 			    getLabel("LCopy", "Copy"),
! #endif
! 			    KLBL_COPY, CODE_COPY)
          ), pdm
      );
      Include(
          new PasteCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Paste",
! #else
! 			    getLabel("LPaste", "Paste"),
! #endif
! 			    KLBL_PASTE,CODE_PASTE)
          ), pdm
      );
      Include(
          new DupCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Duplicate",
! #else
! 			    getLabel("LDuplicate", "Duplicate"),
! #endif
! 			    KLBL_DUP, CODE_DUP)
          ), pdm
      );
      Include(
          new DeleteCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Delete",
! #else
! 			    getLabel("LDelete", "Delete"),
! #endif
! 			    KLBL_DEL, CODE_DEL)
          ), pdm
      );
      Include(
          new SlctAllCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Select All",
! #else
! 			    getLabel("LSelectAll", "Select All"),
! #endif
! 			    KLBL_SLCTALL, CODE_SLCTALL)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new ScaleCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Flip Horizontal",
! #else
! 			    getLabel("LFlipH", "Flip Horizontal"),
! #endif
! 			    KLBL_HFLIP, CODE_HFLIP),
              -1.0, 1.0
          ), pdm
      );
      Include(
          new ScaleCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Flip Vertical",
! #else
! 			    getLabel("LFlipV", "Flip Vertical"),
! #endif
! 			    KLBL_VFLIP, CODE_VFLIP),
              1.0, -1.0
          ), pdm
      );
      Include(
          new RotateCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "90 Clockwise",
! #else
! 			    getLabel("L90CW", "90 Clockwise"),
! #endif
! 			    KLBL_CW90, CODE_CW90), -90.0
          ), pdm
      );
      Include(
          new RotateCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "90 CounterCW",
! #else
! 			    getLabel("L90CCW", "90 CounterCW"),
! #endif
! 			    KLBL_CCW90, CODE_CCW90), 90.0
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new PreciseMoveCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Precise Move",
! #else
! 			    getLabel("LPMove", "Precise Move"),
! #endif
! 	 KLBL_PMOVE, CODE_PMOVE)
          ), pdm
      );
      Include(
          new PreciseScaleCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Precise Scale",
! #else
! 			    getLabel("LPScale", "Precise Scale"),
! #endif
! 			    KLBL_PSCALE, CODE_PSCALE)
          ), pdm
      );
      Include(
          new PreciseRotateCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Precise Rotate",
! #else
! 			    getLabel("LPRotate", "Precise Rotate"),
! #endif
! 	 KLBL_PROTATE, CODE_PROTATE)
          ), pdm
      );
  
***************
*** 656,681 ****
  }
  
  PulldownMenu* IdrawEditor::StructureMenu () {
!     PulldownMenu* pdm = MakePulldown("Structure");
  
      Include(
          new GroupCmd(
!             new ControlInfo("Group", KLBL_GROUP, CODE_GROUP)
          ), pdm
      );
      Include(
          new UngroupCmd(
!             new ControlInfo("Ungroup", KLBL_UNGROUP, CODE_UNGROUP)
          ), pdm
      );
      Include(
          new FrontCmd(
!             new ControlInfo("Bring to Front", KLBL_FRONT, CODE_FRONT)
          ), pdm
      );
      Include(
          new BackCmd(
!             new ControlInfo("Send to Back", KLBL_BACK, CODE_BACK)
          ), pdm
      );
  
--- 865,920 ----
  }
  
  PulldownMenu* IdrawEditor::StructureMenu () {
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Structure"
! #else
! 				     getLabel("LStructure", "Structure")
! #endif
! 				     );
  
      Include(
          new GroupCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Group",
! #else
! 			    getLabel("LGroup", "Group"),
! #endif
! 			    KLBL_GROUP, CODE_GROUP)
          ), pdm
      );
      Include(
          new UngroupCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Ungroup",
! #else
! 			    getLabel("LUngroup", "Ungroup"),
! #endif
! 			    KLBL_UNGROUP, CODE_UNGROUP)
          ), pdm
      );
      Include(
          new FrontCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Bring to Front",
! #else
! 			    getLabel("LFront", "Bring to Front"),
! #endif
! 			    KLBL_FRONT, CODE_FRONT)
          ), pdm
      );
      Include(
          new BackCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Send to Back",
! #else
! 			    getLabel("LBack", "Send to Back"),
! #endif
! 			    KLBL_BACK, CODE_BACK)
          ), pdm
      );
  
***************
*** 684,690 ****
  
  PulldownMenu* IdrawEditor::FontMenu () {
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown("Font");
  
      int i = 1;
      PSFont* font = catalog->ReadFont(fontAttrib, i);
--- 923,935 ----
  
  PulldownMenu* IdrawEditor::FontMenu () {
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Font"
! #else
! 				     getLabel("LFont", "Font")
! #endif
! 	);
  
      int i = 1;
      PSFont* font = catalog->ReadFont(fontAttrib, i);
***************
*** 713,719 ****
      ControlInfo* ctrlInfo;
      ArrowLine* line;
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown("Brush");
  
      int i = 1;
      PSBrush* br = catalog->ReadBrush(brAttrib, i);
--- 958,970 ----
      ControlInfo* ctrlInfo;
      ArrowLine* line;
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Brush"
! #else
! 				     getLabel("LBrush", "Brush")
! #endif
! 				     );
  
      int i = 1;
      PSBrush* br = catalog->ReadBrush(brAttrib, i);
***************
*** 721,728 ****
      while (br != nil) {
  
          if (br->None()) {
!             ctrlInfo = new ControlInfo("None");
! 
          } else {
              line = new ArrowLine(
  		0, 0, round(MENU_WIDTH*ivcm), 0, false, false, 1., stdgraphic
--- 972,984 ----
      while (br != nil) {
  
          if (br->None()) {
!             ctrlInfo = new ControlInfo(
! #ifndef JIV_EXTEND
! 				       "None"
! #else
! 				       getLabel("LNone", "None")
! #endif
! 				       );
          } else {
              line = new ArrowLine(
  		0, 0, round(MENU_WIDTH*ivcm), 0, false, false, 1., stdgraphic
***************
*** 764,770 ****
  
  PulldownMenu* IdrawEditor::PatternMenu () {
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown("Pattern");
  
      int i = 1;
      PSPattern* pat = catalog->ReadPattern(patAttrib, i);
--- 1020,1032 ----
  
  PulldownMenu* IdrawEditor::PatternMenu () {
      Catalog* catalog = unidraw->GetCatalog();
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Pattern"
! #else
! 				     getLabel("LPattern", "Pattern")
! #endif
! 				     );
  
      int i = 1;
      PSPattern* pat = catalog->ReadPattern(patAttrib, i);
***************
*** 773,779 ****
          ControlInfo* ctrlInfo;
  
          if (pat->None()) {
!             ctrlInfo = new ControlInfo("None");
  
          } else {
              SF_Rect* sfr = new SF_Rect(
--- 1035,1047 ----
          ControlInfo* ctrlInfo;
  
          if (pat->None()) {
!             ctrlInfo = new ControlInfo(
! #ifndef JIV_EXTEND
! 				       "None"
! #else
! 				       getLabel("LNone", "None")
! #endif
! 				       );
  
          } else {
              SF_Rect* sfr = new SF_Rect(
***************
*** 817,893 ****
  }
  
  PulldownMenu* IdrawEditor::AlignMenu () {
!     PulldownMenu* pdm = MakePulldown("Align");
  
      Include(
          new AlignCmd(
!             new ControlInfo("Left Sides", KLBL_ALGNLEFT, CODE_ALGNLEFT), 
              Left, Left
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Right Sides", KLBL_ALGNRIGHT, CODE_ALGNRIGHT),
              Right, Right
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Tops", KLBL_ALGNTOP, CODE_ALGNTOP), Top, Top
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Bottoms", KLBL_ALGNBOT, CODE_ALGNBOT),	
              Bottom, Bottom
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Horiz Centers", KLBL_ALGNHCTR, CODE_ALGNHCTR),
              HorizCenter, HorizCenter
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Vert Centers", KLBL_ALGNVCTR, CODE_ALGNVCTR),
              VertCenter, VertCenter
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Centers", KLBL_ALGNCTR, CODE_ALGNCTR),	
              Center, Center
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Abut Left", KLBL_ABUTLEFT, CODE_ABUTLEFT), 
              Left, Right
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Abut Right", KLBL_ABUTRIGHT, CODE_ABUTRIGHT),
              Right, Left
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Abut Up", KLBL_ABUTUP, CODE_ABUTUP),
              Top, Bottom
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo("Abut Down", KLBL_ABUTDOWN, CODE_ABUTDOWN),
              Bottom, Top
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new AlignToGridCmd(
!             new ControlInfo("Align to Grid", KLBL_ALGNTOGRID, CODE_ALGNTOGRID)
          ), pdm
      );
  
--- 1085,1239 ----
  }
  
  PulldownMenu* IdrawEditor::AlignMenu () {
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "Align"
! #else
! 				     getLabel("LAlign", "Align")
! #endif
! 				     );
  
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Left Sides",
! #else
! 			    getLabel("LAlignLeft", "Left Sides"),
! #endif
! 			    KLBL_ALGNLEFT, CODE_ALGNLEFT), 
              Left, Left
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Right Sides",
! #else
! 			    getLabel("LAlignRight", "Right Sides"),
! #endif
! 			    KLBL_ALGNRIGHT, CODE_ALGNRIGHT),
              Right, Right
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Tops",
! #else
! 			    getLabel("LAlignTop", "Tops"),
! #endif
! 			    KLBL_ALGNTOP, CODE_ALGNTOP), Top, Top
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Bottoms",
! #else
! 			    getLabel("LAlignBottom", "Bottoms"),
! #endif
! 			    KLBL_ALGNBOT, CODE_ALGNBOT),	
              Bottom, Bottom
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Horiz Centers",
! #else
! 			    getLabel("LAlignHCenter", "Horiz Centers"),
! #endif
! 			    KLBL_ALGNHCTR, CODE_ALGNHCTR),
              HorizCenter, HorizCenter
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Vert Centers",
! #else
! 			    getLabel("LAlignVCenter", "Vert Centers"),
! #endif
! 			    KLBL_ALGNVCTR, CODE_ALGNVCTR),
              VertCenter, VertCenter
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Centers",
! #else
! 			    getLabel("LAlignCenter", "Centers"),
! #endif
! 			    KLBL_ALGNCTR, CODE_ALGNCTR),	
              Center, Center
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Abut Left",
! #else
! 			    getLabel("LAbutLeft", "Abut Left"),
! #endif
! 			    KLBL_ABUTLEFT, CODE_ABUTLEFT), 
              Left, Right
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Abut Right",
! #else
! 			    getLabel("LAbutRight", "Abut Right"),
! #endif
! 			    KLBL_ABUTRIGHT, CODE_ABUTRIGHT),
              Right, Left
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Abut Up",
! #else
! 			    getLabel("LAbutUp", "Abut Up"),
! #endif
! 			    KLBL_ABUTUP, CODE_ABUTUP),
              Top, Bottom
          ), pdm
      );
      Include(
          new AlignCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Abut Down",
! #else
! 			    getLabel("LAbutDown", "Abut Down"),
! #endif
! 			    KLBL_ABUTDOWN, CODE_ABUTDOWN),
              Bottom, Top
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new AlignToGridCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Align to Grid",
! #else
! 			    getLabel("LAlignToGrid", "Align to Grid"),
! #endif
! 			    KLBL_ALGNTOGRID, CODE_ALGNTOGRID)
          ), pdm
      );
  
***************
*** 895,947 ****
  }
  
  PulldownMenu* IdrawEditor::ViewMenu () {
!     PulldownMenu* pdm = MakePulldown("View");
  
      Include(
          new NewViewCmd(
!             new ControlInfo("New View", KLBL_NEWVIEW, CODE_NEWVIEW)
          ), pdm
      );
      Include(
          new CloseEditorCmd(
!             new ControlInfo("Close View", KLBL_CLOSEEDITOR, CODE_CLOSEEDITOR)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new NormSizeCmd(
!             new ControlInfo("Normal Size", KLBL_NORMSIZE, CODE_NORMSIZE)
          ), pdm
      );
      Include(
          new RedToFitCmd(
!             new ControlInfo("Reduce to Fit", KLBL_REDTOFIT, CODE_REDTOFIT)
          ), pdm
      );
      Include(
          new CenterCmd(
!             new ControlInfo("Center Page", KLBL_CENTER, CODE_CENTER)
          ), pdm
      );
      Include(
          new OrientationCmd(
!             new ControlInfo("Orientation", KLBL_ORIENTATION, CODE_ORIENTATION)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new GridCmd(
!             new ControlInfo("Grid on/off", KLBL_GRID, CODE_GRID)
          ), pdm
      );
      Include(
          new IGridSpacingCmd(
!             new ControlInfo("Grid Spacing...", KLBL_GRIDSPC, CODE_GRIDSPC)
          ), pdm
      );
      Include(
          new GravityCmd(
!             new ControlInfo("Gravity on/off", KLBL_GRAVITY, CODE_GRAVITY)
          ), pdm
      );
  
--- 1241,1353 ----
  }
  
  PulldownMenu* IdrawEditor::ViewMenu () {
!     PulldownMenu* pdm = MakePulldown(
! #ifndef JIV_EXTEND
! 				     "View"
! #else
! 				     getLabel("LView", "View")
! #endif
! 				     );
  
      Include(
          new NewViewCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "New View",
! #else
! 			    getLabel("LNewView", "New View"),
! #endif
! 			    KLBL_NEWVIEW, CODE_NEWVIEW)
          ), pdm
      );
      Include(
          new CloseEditorCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Close View",
! #else
! 			    getLabel("LCloseView", "Close View"),
! #endif
! 			    KLBL_CLOSEEDITOR, CODE_CLOSEEDITOR)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new NormSizeCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Normal Size",
! #else
! 			    getLabel("LNormalSize", "Normal Size"),
! #endif
! 	 KLBL_NORMSIZE, CODE_NORMSIZE)
          ), pdm
      );
      Include(
          new RedToFitCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Reduce to Fit",
! #else
! 			    getLabel("LReduceToFit", "Reduce to Fit"),
! #endif
! 	 KLBL_REDTOFIT, CODE_REDTOFIT)
          ), pdm
      );
      Include(
          new CenterCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Center Page",
! #else
! 			    getLabel("LCenterPage", "Center Page"),
! #endif
! 			    KLBL_CENTER, CODE_CENTER)
          ), pdm
      );
      Include(
          new OrientationCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Orientation",
! #else
! 			    getLabel("LOrientation", "Orientation"),
! #endif
! 			    KLBL_ORIENTATION, CODE_ORIENTATION)
          ), pdm
      );
      InsertSeparator(pdm);
      Include(
          new GridCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Grid on/off",
! #else
! 			    getLabel("LGrid", "Grid on/off"),
! #endif
! 			    KLBL_GRID, CODE_GRID)
          ), pdm
      );
      Include(
          new IGridSpacingCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Grid Spacing...",
! #else
! 			    getLabel("LGridSpacing", "Grid Spacing..."),
! #endif
! 			    KLBL_GRIDSPC, CODE_GRIDSPC)
          ), pdm
      );
      Include(
          new GravityCmd(
!             new ControlInfo(
! #ifndef JIV_EXTEND
! 			    "Gravity on/off",
! #else
! 			    getLabel("LGravity", "Gravity on/off"),
! #endif
! 			    KLBL_GRAVITY, CODE_GRAVITY)
          ), pdm
      );
  
